Display customer informations
=============================

.. toctree::

   sheetconfiguration

The informations about a call opens a url on new browser tab. 

Example: Display a Web page when an agent answers a call
--------------------------------------------------------

The first step is to assign the URL to a dialplan variable. Go in the
:menuselection:`Services --> IPBX --> Configuration files` and create a new file
called ``setsheeturl.conf``. In this file, put the following::

   [setsheeturl]
   exten = s,1,NoOp(Starting Set Sheet URL)
   same  = n,Set(SHEET_URL_CTI=http://documentation.xivo.solutions)
   same  = n,UserEvent(dialplan2cti,UNIQUEID: ${UNIQUEID},CHANNEL: ${CHANNEL},VARIABLE: mysheeturl,VALUE: ${SHEET_URL_CTI})
   same  = n,Return()

You can replace ``documentation.xivo.solutions`` by the URL you want.

The second step is to set the URL when the call is queued. To do that, we will
use a preprocessing subroutine. This is configured in the queue configuration :
go to :menuselection:`Services --> Call center --> Queues` and edit the
queue. Set the field ``Preprocessing subroutine`` to ``setsheeturl`` (the same
as above).

The third step is to configure the sheet to open the wanted URL. Go to
:menuselection:`Services --> CTI Server --> Sheets --> Models` and create a new
sheet. It must have a name and at least two fields : one with Field title popupUrl, Default value / and Display value {dp-mysheeturl}, the other
with Field title folderNumber and Display value /. See :ref:`Sheet Configuration <sheet_configuration>` for more details.

The fourth and final step is to trigger the sheet when the agent answers the
queued call. Go to :menuselection:`Services --> CTI Server --> Sheets -->
Events` and link the event ``Linked`` to the sheet you just created.

That's it, you can assign agents to your queue, log the agents and make them
answer calls with the CC Agent opened, and your browser should open the
specified URL.
